{
  "name": "njzscloud-framework-web",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc -b && vite build",
    "build:test": "vite build --mode test",
    "preview": "vite preview"
  },
  "dependencies": {
    "axios": "^1.11.0",
    "decimal.js": "^10.6.0",
    "echarts": "^5.4.1",
    "element-plus": "^2.11.8",
    "luxon": "^3.7.1",
    "mitt": "^3.0.1",
    "nanoid": "^5.1.5",
    "pinia": "^3.0.3",
    "pinia-plugin-persistedstate": "^4.5.0",
    "qs": "^6.14.0",
    "vue": "^3.5.18",
    "vue-router": "^4.5.1",
    "vue3-print-nb": "^0.1.4"
  },
  "devDependencies": {
    "@types/luxon": "^3.7.1",
    "@types/node": "^24.3.0",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vitejs/plugin-vue-jsx": "^5.1.1",
    "@vue/tsconfig": "^0.7.0",
    "colorette": "^2.0.20",
    "fflate": "^0.8.2",
    "filesize": "^11.0.2",
    "stylus": "^0.64.0",
    "typescript": "~5.8.3",
    "typescript-plugin-css-modules": "^5.2.0",
    "unplugin-auto-import": "^20.1.0",
    "unplugin-element-plus": "^0.11.1",
    "unplugin-vue-components": "^29.0.0",
    "vite": "^7.1.2",
    "vite-plugin-vue-devtools": "^8.0.1",
    "vue-component-type-helpers": "^3.2.2",
    "vue-tsc": "^3.0.5"
  }
}
